Bug 473281 - Dual screening broken on MacBook Pro with DVI-out [NEEDINFO]
Dual screening broken on MacBook Pro with DVI-out
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 09:09 EST by Manik Surtani
Modified: 2018-04-11 08:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:58:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fdc: needinfo? (manik)


Attachments (Terms of Use)
Log when I use my xorg.conf file (458.21 KB, text/plain)
2008-11-27 11:19 EST, Manik Surtani
no flags Details
My xorg.conf file (3.04 KB, text/plain)
2008-11-27 11:20 EST, Manik Surtani
no flags Details
Logs when I do NOT use an xorg.conf file (365.78 KB, text/plain)
2008-11-27 11:24 EST, Manik Surtani
no flags Details

  None (edit)
Description Manik Surtani 2008-11-27 09:09:33 EST
Using the gnome screen resolution applet, dual screening with a Dell FPW 2405 screen.

The laptop screen (17") supports 1680 x 1050, and I get this when running without a 2nd screen.  The Dell supports 1920 x 1200, but when dual screening, I have 2 issues:

1.  Full res not supported.  Won't go beyond 1280 x 1024 on either screen.
2.  Spanning desktop not supported.  It will only do mirroring.  

Details of the laptop, from OS X System Profiler

  Model Name:	MacBook Pro 17"
  Model Identifier:	MacBookPro2,1
  Processor Name:	Intel Core 2 Duo
  Processor Speed:	2.33 GHz
  Number Of Processors:	1
  Total Number Of Cores:	2

ATI Radeon X1600:

  Chipset Model:	ATY,RadeonX1600
  Type:	Display
  Bus:	PCIe
  PCIe Lane Width:	x16
  VRAM (Total):	256 MB
  Vendor:	ATI (0x1002)
  Device ID:	0x71c5
  Revision ID:	0x0000
  ROM Revision:	113-xxxxxx-158
  EFI Driver Version:	01.00.158
  Displays:
Color LCD:
  Display Type:	LCD
  Resolution:	1680 x 1050
  Depth:	32-bit Color
  Built-In:	Yes
  Core Image:	Hardware Accelerated
  Mirror:	Off
  Online:	Yes
  Quartz Extreme:	Supported
DELL 2405FPW:
  Resolution:	1920 x 1200 @ 60 Hz
  Depth:	32-bit Color
  Core Image:	Hardware Accelerated
  Main Display:	Yes
  Mirror:	Off
  Online:	Yes
  Quartz Extreme:	Supported
  Rotation:	Supported
Comment 1 Matěj Cepl 2008-11-27 09:18:07 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Manik Surtani 2008-11-27 11:18:03 EST
Hi - here is the log with my xorg.conf, as well as when I don't use a xorg.conf
Comment 3 Manik Surtani 2008-11-27 11:19:17 EST
Created attachment 324900 [details]
Log when I use my xorg.conf file
Comment 4 Manik Surtani 2008-11-27 11:20:02 EST
Created attachment 324901 [details]
My xorg.conf file
Comment 5 Manik Surtani 2008-11-27 11:24:03 EST
Created attachment 324902 [details]
Logs when I do NOT use an xorg.conf file

Note that this makes the synaptics touchpad unusable since there is no other way to do right clicks.
Comment 6 Peter Hutterer 2008-11-27 17:55:30 EST
Manik:
http://koji.fedoraproject.org/koji/buildinfo?buildID=69697
has a build of the synaptics 1.0 pre-release. This should improve your touchpad behaviour.


Also, this is not a synaptics bug. Reassigning.

Feel free to open a separate bug for the synaptics issue if it persists with the package above.
Comment 7 Nicolas Troncoso Carrere 2008-11-30 10:48:40 EST
A work arround for this while is being fix is to use:
xrandr --output LVDS --auto
xrandr --output DVI-0 --auto
xrandr --output DVI-0 --right-of LVDS

I posted this comment (incorrectly) in https://bugzilla.redhat.com/show_bug.cgi?id=465763
Comment 8 François Cami 2009-02-20 16:36:36 EST
Manik,

What happens if you boot with nomodeset ?
Does this still happen with the latest 6.10 -ati driver in updates ? 

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Matěj Cepl 2009-05-18 08:03:48 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 10 Bug Zapper 2009-11-18 02:59:36 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 01:58:36 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.